yaml: yaml_node_s Struct Reference

yaml 0.2.2

Data Fields
yaml_node_s Struct Reference
Nodes

The node structure. More...

`#include <yaml.h>`

## Data Fields
yaml_node_type_t | type
| The node type. More...
yaml_char_t * | tag
| The node tag. More...
union {
struct {
yaml_char_t * value
| The scalar value. More...
size_t length
| The length of the scalar value. More...
yaml_scalar_style_t style
| The scalar style. More...
} scalar
| The scalar parameters (for `YAML_SCALAR_NODE`). More...
struct {
struct {
yaml_node_item_t * start
| The beginning of the stack. More...
yaml_node_item_t * end
| The end of the stack. More...
yaml_node_item_t * top
| The top of the stack. More...
} items
| The stack of sequence items. More...
yaml_sequence_style_t style
| The sequence style. More...
} sequence
| The sequence parameters (for `YAML_SEQUENCE_NODE`). More...
struct {
struct {
yaml_node_pair_t * start
| The beginning of the stack. More...
yaml_node_pair_t * end
| The end of the stack. More...
yaml_node_pair_t * top
| The top of the stack. More...
} pairs
| The stack of mapping pairs (key, value). More...
yaml_mapping_style_t style
| The mapping style. More...
} mapping
| The mapping parameters (for `YAML_MAPPING_NODE`). More...
} | data
| The node data. More...
yaml_mark_t | start_mark
| The beginning of the node. More...
yaml_mark_t | end_mark
| The end of the node. More...

## Detailed Description

The node structure.

## Field Documentation

## ◆ type

yaml_node_type_t yaml_node_s::type

The node type.

## ◆ tag

yaml_char_t* yaml_node_s::tag

The node tag.

## ◆ value

yaml_char_t* yaml_node_s::value

The scalar value.

## ◆ length

size_t yaml_node_s::length

The length of the scalar value.

## ◆ style [1/3]

yaml_scalar_style_t yaml_node_s::style

The scalar style.

## ◆ scalar

struct { ... } yaml_node_s::scalar

The scalar parameters (for `YAML_SCALAR_NODE`).

## ◆ start [1/2]

yaml_node_item_t* yaml_node_s::start

The beginning of the stack.

## ◆ end [1/2]

yaml_node_item_t* yaml_node_s::end

The end of the stack.

## ◆ top [1/2]

yaml_node_item_t* yaml_node_s::top

The top of the stack.

## ◆ items

struct { ... } yaml_node_s::items

The stack of sequence items.

## ◆ style [2/3]

yaml_sequence_style_t yaml_node_s::style

The sequence style.

## ◆ sequence

struct { ... } yaml_node_s::sequence

The sequence parameters (for `YAML_SEQUENCE_NODE`).

## ◆ start [2/2]

yaml_node_pair_t* yaml_node_s::start

The beginning of the stack.

## ◆ end [2/2]

yaml_node_pair_t* yaml_node_s::end

The end of the stack.

## ◆ top [2/2]

yaml_node_pair_t* yaml_node_s::top

The top of the stack.

## ◆ pairs

struct { ... } yaml_node_s::pairs

The stack of mapping pairs (key, value).

## ◆ style [3/3]

yaml_mapping_style_t yaml_node_s::style

The mapping style.

## ◆ mapping

struct { ... } yaml_node_s::mapping

The mapping parameters (for `YAML_MAPPING_NODE`).

## ◆ data

union { ... } yaml_node_s::data

The node data.

## ◆ start_mark

yaml_mark_t yaml_node_s::start_mark

The beginning of the node.

## ◆ end_mark

yaml_mark_t yaml_node_s::end_mark

The end of the node.

The documentation for this struct was generated from the following file:

- yaml.h